List Image Prewarm Tasks
curl --request GET \
--url https://api.novita.ai/gpu-instance/openapi/v1/image/prewarm \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.novita.ai/gpu-instance/openapi/v1/image/prewarm"
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'}
};
fetch('https://api.novita.ai/gpu-instance/openapi/v1/image/prewarm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"imageName": "<string>",
"imageUrl": "<string>",
"repositoryAuth": "<string>",
"clusterId": "<string>",
"clusterName": "<string>",
"products": [
{
"productId": "<string>",
"productName": "<string>"
}
],
"imageSize": "<string>",
"createTime": "<string>",
"state": "<string>",
"completeTime": "<string>",
"note": "<string>",
"reason": [
"<string>"
]
}
],
"total": 123
}Image
List Image Prewarm Tasks
GET
/
gpu-instance
/
openapi
/
v1
/
image
/
prewarm
List Image Prewarm Tasks
Request Headers
Enum:
application/jsonBearer authentication format, for example: Bearer {{API Key}}.
Query Parameters
Page number. Default: 1.
Page size. Default: 10.
Prewarm task state. Valid values:
Pending, Running, Succeeded, Failed.Cluster ID.
Image name or task note for fuzzy matching.
Response
List of prewarm tasks.
Hide properties
Hide properties
Prewarm task ID.
Image name (the last segment of the image URL without the tag).
Image URL.
Image registry authentication ID.
Cluster ID.
Cluster name.
Image size in bytes.
Task creation time (Unix timestamp in seconds).
Task state. Valid values:
Pending, Running, Succeeded, Failed.Task completion time (Unix timestamp in seconds).
Task note.
Reason messages.
Total number of tasks.
Last modified on September 15, 2025
Was this page helpful?
⌘I